[USRP-users] pybombs init error --> volk

Martin K martin.klingensmith at gmail.com
Thu Mar 28 09:36:23 EDT 2019


Michael, thank you. That does help.

Do you or anyone know if there is a version of Ubuntu or Debian [or
any distro] that supports the default PyBombs installation out of the
box? I don't have time to learn pybombs and debug the build.

Thanks,
Martin Klingensmith


On Wed, Mar 27, 2019 at 2:56 PM Michael Dickens
<michael.dickens at ettus.com> wrote:
>
> The version of Volk currently installed is too new for the version of GNU Radio you're trying to build. I'm not 100% clear on how to install different recipes in PyBOMBS, but if you can do so try a newer version of GNU Radio (if you search the GIT logs for "volk_32f_8u_polarbutterfly_32f" you'll find the commit to be at least a recent as). Hope this is useful! - MLD
>
> On Wed, Mar 27, 2019, at 12:36 PM, Martin K via USRP-users wrote:
> > I am installing the e3xx-rfnoc pybombs recipe for Ettus E310 development.
> > It gets as far as
> > gr-fec/lib/CMakeFiles/gnuradio-fec.dir/polar_decoder_common.cc.o and
> > fails (error follows below). The command I am running is:
> > $ pybombs prefix init ~/e3xx -R e3xx-rfnoc
> >
> > The OS is Ubuntu 18.04LTS. The OS installation is new.
> > Thank you for any help.
> >
> > /home/martin/e3xx/src/gnuradio/gr-fec/lib/polar_decoder_common.cc: In
> > member function 'void
> > gr::fec::code::polar_decoder_common::butterfly_volk(float*, unsigned
> > char*, int, int, int)':
> > /home/martin/e3xx/src/gnuradio/gr-fec/lib/polar_decoder_common.cc:126:95:
> > error: too many arguments to function
> >          volk_32f_8u_polarbutterfly_32f(llrs, u, block_size(),
> > block_power(), stage, u_num, row);
> >
> >                         ^
> > gr-fec/lib/CMakeFiles/gnuradio-fec.dir/build.make:1020: recipe for
> > target 'gr-fec/lib/CMakeFiles/gnuradio-fec.dir/polar_decoder_common.cc.o'
> > failed
> > make[2]: *** [gr-fec/lib/CMakeFiles/gnuradio-fec.dir/polar_decoder_common.cc.o]
> > Error 1
> > CMakeFiles/Makefile2:3846: recipe for target
> > 'gr-fec/lib/CMakeFiles/gnuradio-fec.dir/all' failed
> > make[1]: *** [gr-fec/lib/CMakeFiles/gnuradio-fec.dir/all] Error 2
> > Makefile:143: recipe for target 'all' failed
> > make: *** [all] Error 2
> > [ERROR] Build failed. See output above for error messages.
> > [ERROR] Problem occurred while building package gnuradio:
> > Build failed.
> > [ERROR] Error installing package gnuradio. Aborting.
> >
> >
> > --
> > Martin K.
> >
> > _______________________________________________
> > USRP-users mailing list
> > USRP-users at lists.ettus.com
> > http://lists.ettus.com/mailman/listinfo/usrp-users_lists.ettus.com
> >



-- 
Martin K.



More information about the USRP-users mailing list